Bug 148635 - Deselecting a chart after insertion being slow
Summary: Deselecting a chart after insertion being slow
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0 target:7.5.0 target:7.4....
Keywords: perf
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2022-04-17 09:36 UTC by Telesto
Modified: 2022-12-27 16:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (14.46 MB, application/vnd.oasis.opendocument.spreadsheet)
2022-04-17 09:36 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2022-04-17 09:36:11 UTC
Description:
Deselecting a chart after insertion being slow

Steps to Reproduce:
1. Open the attached file
2. Select column C
3. Press insert chart (chart appears pretty fast)
4. Click Finish the dialog
5. Click somewhere in the spreadsheet -> waiting 12 seconds

6. Reselect the chart
7. Press delete -> Wait 10 seconds

Actual Results:
Freeze for 12 seconds

Expected Results:
I kind of expected no freeze


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 4659fc2f0a7223a89446edff0b77e58758b5edf5
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL Jumbo
Comment 1 Telesto 2022-04-17 09:36:34 UTC
Created attachment 179623 [details]
Example file
Comment 2 Telesto 2022-04-17 09:40:09 UTC
@Noel,
Adding you to the loop in advance (no confirmation, yet), because you're work in this area (and being and optimization specialist)
Comment 3 Commit Notification 2022-04-19 16:13:22 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6500106dff0f0cd86f509ffd01542aab77c21596

tdf#148635 no need to init ChartDataWrapper more than once

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2022-04-19 16:14:31 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fd2ca9607431fc6ca49e37ab6fef228aa72da5f9

tdf#148635 cache some chart stuff

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2022-09-22 19:00:57 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c3bc67bffd1e0b9bdd60ef274a6d5e59101d322d

tdf#151091 Revert "tdf#148635 cache some chart stuff"

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-09-23 09:35:05 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/a81b6299deca88a61fe4d8c5909c02375c9f8620

tdf#151091 Revert "tdf#148635 cache some chart stuff"

It will be available in 7.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-09-23 10:38:06 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-4-2":

https://git.libreoffice.org/core/commit/3f0be840432453f407751398ccfab62a2243fc4e

tdf#151091 Revert "tdf#148635 cache some chart stuff"

It will be available in 7.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.